# Generated by Selenium IDE
import pytest
import time
import json
from selenium import webdriver
from selenium.webdriver.common.by import By
from selenium.webdriver.common.action_chains import ActionChains
from selenium.webdriver.support import expected_conditions
from selenium.webdriver.support.wait import WebDriverWait
from selenium.webdriver.common.keys import Keys
from selenium.webdriver.common.desired_capabilities import DesiredCapabilities

class TestTesterecuperacaosenhaerrado():
  def setup_method(self, method):
    self.driver = webdriver.Chrome()
    self.vars = {}
  
  def teardown_method(self, method):
    self.driver.quit()
  
  def test_testerecuperacaosenhaerrado(self):
    self.driver.get("https://wizesystems-dashboard-staging.herokuapp.com/login?product=waste")
    self.driver.set_window_size(974, 1040)
    self.driver.find_element(By.CSS_SELECTOR, ".recover-password-button").click()
    self.driver.find_element(By.ID, "recoverEmail").click()
    self.driver.find_element(By.CSS_SELECTOR, ".input-group").click()
    self.driver.find_element(By.ID, "recoverEmail").send_keys("paulossjunior@gmail.com")
    self.driver.find_element(By.CSS_SELECTOR, ".btn-primary").click()
    element = self.driver.find_element(By.CSS_SELECTOR, ".btn-primary")
    actions = ActionChains(self.driver)
    actions.move_to_element(element).perform()
    element = self.driver.find_element(By.CSS_SELECTOR, "body")
    actions = ActionChains(self.driver)
    actions.move_to_element(element, 0, 0).perform()
    self.driver.find_element(By.CSS_SELECTOR, ".swal2-confirm").click()
    self.driver.find_element(By.CSS_SELECTOR, ".btn-secondary").click()
    self.driver.find_element(By.CSS_SELECTOR, ".row").click()
  
